Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetPhoneNumberInfoSync

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.PhoneNumberInfo>
it.tdlight.jni.TdApi.GetPhoneNumberInfoSync

Enclosing class:
  TdApi

public static final class TdApi.GetPhoneNumberInfoSync extends TdApi.Function<TdApi.PhoneNumberInfo>
Returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

Returns `PhoneNumberInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`languageCode`
A two-letter ISO 639-1 country code for country information localization.
`String`
`phoneNumberPrefix`
The phone number prefix.

## Constructor Summary

Constructors
Constructor
Description
`GetPhoneNumberInfoSync()`
Returns information about a phone number by its prefix synchronously.
`GetPhoneNumberInfoSync(DataInput input)`
Returns information about a phone number by its prefix synchronously.
`GetPhoneNumberInfoSync(String languageCode, String phoneNumberPrefix)`
Returns information about a phone number by its prefix synchronously.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languageCode

public String languageCode
A two-letter ISO 639-1 country code for country information localization.

### phoneNumberPrefix

public String phoneNumberPrefix
The phone number prefix.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetPhoneNumberInfoSync

public GetPhoneNumberInfoSync()
Returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

Returns `PhoneNumberInfo`

### GetPhoneNumberInfoSync

public GetPhoneNumberInfoSync(String languageCode, String phoneNumberPrefix)
Returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

Returns `PhoneNumberInfo`

Parameters:
  `languageCode` - String A two-letter ISO 639-1 country code for country information localization.
  `phoneNumberPrefix` - String The phone number prefix.

### GetPhoneNumberInfoSync

public GetPhoneNumberInfoSync(DataInput input) throws IOException
Returns information about a phone number by its prefix synchronously. getCountries must be called at least once after changing localization to the specified language if properly localized country information is expected. Can be called synchronously.

Returns `PhoneNumberInfo`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`